petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetBlockSize

Gets the inherent block size associated with a DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetBlockSize(DM dm,PetscInt *bs)

Not Collective

### Input Parameter

dm -the DM with block structure

### Output Parameter

bs -the block size, 1 implies no exploitable block structure

### See Also

ISCreateBlock(), VecSetBlockSize(), MatSetBlockSize(), DMGetLocalToGlobalMapping()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages